-- main.lua
require 'map-functions'
require 'player-functions'

function love.load()
  loadMap('maps/basic_test.lua')
end

function love.draw()
  drawMap()
  love.graphics.rectangle("fill", player.act_x, player.act_y, 16, 16)
end

function love.update(dt)
  updatePlayer(dt)
end

function love.keypressed(key)
    if key == "up" then
        if testMap(0, -1) then
		  player.grid_y = player.grid_y - 16
		end
    elseif key == "left" then
        if testMap(-1, 0) then
		  player.grid_x = player.grid_x - 16
		end
    elseif key == "right" then
        if testMap(1, 0) then
		player.grid_x = player.grid_x + 16
        end
	end
end